LibreOffice: XIdentifierContainer Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Member Functions | List of all members
XIdentifierContainer Interface Referencepublished

This is the generic interface for supporting the creation and removal of elements with unique identifiers. More...

`import"XIdentifierContainer.idl";`

Inheritance diagram for XIdentifierContainer:

## Public Member Functions
long | insert ([in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| inserts an element and creates a new unique identifier for it. More...
void | removeByIdentifier ([in] long Identifier) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| removes the element with the specified identifier. More...
Public Member Functions inherited from XIdentifierReplace
void | replaceByIdentifer ([in] long Identifier, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| replaces the element with the specified identifier. More...
Public Member Functions inherited from XIdentifierAccess
any | getByIdentifier ([in] long Identifier) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< long > | getIdentifiers ()
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This is the generic interface for supporting the creation and removal of elements with unique identifiers.

See also
  XContainer

## Member Function Documentation

## ◆ insert()

long insert | ( | [in] any | aElement | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

inserts an element and creates a new unique identifier for it.

Returns
  the newly created identifier under which the element is inserted.

Parameters

  aElement | The new element that will be inserted.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the argument is not valid for this container.
  com::sun::star::lang::WrappedTargetException | If the implementation has internal reasons for exceptions, then wrap these in a com::sun::star::lang::WrappedTargetException exception.

## ◆ removeByIdentifier()

void removeByIdentifier | ( | [in] long | Identifier | ) |
raises | ( | com::sun::star::container::NoSuchElementException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

removes the element with the specified identifier.

Parameters

  Identifier | The identifier that should be removed.

Exceptions

  com::sun::star::lang::NoSuchElementException | If the identifier does not exist.
  com::sun::star::lang::WrappedTargetException | If the implementation has internal reasons for exceptions, then wrap these in a com::sun::star::lang::WrappedTargetException exception.

The documentation for this interface was generated from the following file:

- com/sun/star/container/XIdentifierContainer.idl